<template>
    <div class="card linkcard">
        <div class="card-content">
            <time :datetime="isoDate">{{humanDate}}</time>
            <br/><br/>
            <p class="title truncate is-size-4">
                {{linktitle}}
            </p>

            <p class="subtitle linkdisplay">
                <code>https://labwork.dev/go/{{shortcode}}</code>
            </p>
        </div>
        <footer class="card-footer">
            <p class="card-footer-item">
                <button class="button is-danger is-outlined is-fullwidth" disabled>
                    <span class="icon is-small">
                        <i class="far fa-trash-alt"></i>
                    </span>
                    <span>Delete</span>
                </button>
            </p>
            
            <p class="card-footer-item">
                <button class="button is-outlined is-fullwidth" disabled>
                    <span class="icon is-small">
                        <i class="fas fa-mouse-pointer"></i>
                    </span>
                    <span>Clicks: {{(clickCount ? clickCount : 0)}}</span>
                </button>
            </p>

            <p class="card-footer-item">
            <span>
                <a :href="`https://labwork.dev/go/${shortcode}`" target="_blank">
                    View link <i class="fas fa-external-link-alt"></i> 
                </a>
            </span>
            </p>
        </footer>
    </div>
</template>

<style scoped>
.linkcard {
    margin: 1em;
}
</style>

<script lang="ts">
import Vue from 'vue';
import * as firebase from 'firebase/app';
import 'firebase/firestore';

const moment = require('moment');

export default Vue.extend({
    props: {
        shortcode: String,
        linktitle: String,
        createdAt: Object,
        clickCount: Number,
    },
    computed: {
        humanDate() {
            return moment(this.createdAt.toDate()).format('D MMM Y');
        },
        isoDate() {
            return moment(this.createdAt.toDate()).format('YYYY-MM-DD')
        }
    }
})
</script>